import { bP as l, bB as a, cT as f, bO as C, U as b, V as n, bn as p, bo as o, a0 as i, bp as v, bA as g } from "./684d2f28.js";
import { SelectChildrenMap as y, SelectUIView as h, SelectPropertyView as V, baseSelectRefMethods as w } from "./f9c25fbe.js";
import { useSelectInputValidate as I, SelectInputInvalidConfig as x, SelectInputCommonConfig as D } from "./1312a48b.js";
import { useRef as M } from "react";
import { fixOldInputCompData as B } from "./0c4ef413.js";
import "react-dom";
import "./2d5fc5ff.js";
import "./0f3d7a1a.js";
import "./00dac55d.js";
import "./d6402597.js";
let t = function() {
  const u = {
    ...y,
    defaultValue: l("defaultValue"),
    value: l("value"),
    style: a(f),
    labelStyle: a(C)
  };
  return new b(u, (e, s) => {
    const [r, m] = I(e), c = M(e);
    c.current = e;
    const S = new Set(e.options.map((d) => d.value));
    return e.label({
      required: e.required,
      style: e.style,
      labelStyle: e.labelStyle,
      children: /* @__PURE__ */ n(h, {
        ...e,
        value: S.has(e.value.value) ? e.value.value : void 0,
        onChange: m,
        dispatch: s
      }),
      ...r
    });
  }).setPropertyViewFn((e) => /* @__PURE__ */ n(V, {
    ...e
  })).setExposeMethodConfigs(w).build();
}();
t = g(t, B);
const L = p(t, [new o("value", i("selectInput.valueDesc")), new o("inputValue", i("select.inputValueDesc")), x, ...D, ...v]);
export {
  L as SelectComp
};
